Subject: bug#1183: 23.0.60; ediff-buffers is broken

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 10:17:27 -0700

> > > > But first, we should decide whether we want such 
> > > > buffers to compare equal or not.
> > > 
> > > I believe we do, because it's called ediff-buffers.  There's 
> > > ediff-files for when you want to compare the files.
> > 
> > That's terrible. Ediff-buffers has always been usable 
> > directly for buffers visiting files also. 
> 
> I didn't see the original post, but the general idea was that 
> whenever things look the same in Emacs they should be treated
> as equal (or equal module spaces). I do not think the user
> should be bothered with encodings. Copying from buffer
> to buffer should also be transparent. (And ediff-files and 
> ediff-buffers should produce the same results.)
> 
> Unfortunately, I have not been following the developments in 
> the last few years, and my knowledge of the mechanics became rusty.

Everything Michael said sounds right to me.

IMO, it would be OK for ediff-buffers, perhaps optionally, to report encoding
differences *also*, but that's not what ediff-buffers is really about.

It's about detecting textual differences: `foo' vs `fog'. If it cannot tell you
that `foo' is different from `fog', and it only tells you that the two buffers
are (somehow) different, then it is being less helpful than before, not more.